=== debian/changelog ===
mupen64plus-video-rice (2.5-6) unstable; urgency=medium

  * debian/control
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.4.0, no changes required
    - Switch to debhelper 12
  * lintian-overrides:
    - Ignore incorrectly detected spelling error
  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Wed, 28 Aug 2019 00:12:10 +0200

mupen64plus-video-rice (2.5-5) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:56:19 +0200

mupen64plus-video-rice (2.5-4) unstable; urgency=medium

  * debian/rules:
    - Build armhf for reproducible CI with GLES

 -- Sven Eckelmann <sven@narfation.org>  Thu, 14 Jan 2016 23:04:12 +0100

mupen64plus-video-rice (2.5-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-video-rice-dbg in favor of -dbgsym package
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 14:05:06 +0100

mupen64plus-video-rice (2.5-2) unstable; urgency=medium

  * debian/copyright:
    - Use a common license section for the BMG library
  * debian/patches:
    - Add Use-pkg-config-to-find-GLESv2-library.patch, Use pkg-config to
      find GLESv2 library
  * debian/control:
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:52:45 +0100

mupen64plus-video-rice (2.5-1) unstable; urgency=medium

  * New Upstream Version
  * Upload to unstable
  * debian/control:
    - Upgraded to policy 3.9.6, no changes required
    - Depend on libmupen64plus-dev >= 2.5
    - Change Vcs-Browser to new alioth CGit URL
  * debian/copyright
    - Rewrite copyright information
    - Update years

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 May 2015 16:06:56 +0200

mupen64plus-video-rice (2.0+57+g134f5dc-1) experimental; urgency=medium

  * New Upstream Snapshot from 134f5dc1e7d12fb4996a1129b63861174596777c
  * debian/control:
    - Depend on mupen64plus-config-abi-2.3 for ConfigSetParameterHelp
  * debian/patches:
    - Remve upstream merged tnt_cominber.patch

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 12:21:30 +0200

mupen64plus-video-rice (2.0-3) unstable; urgency=medium

  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:24:22 +0200
