=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
 https://github.com/mupen64plus/mupen64plus-video-rice/releases \
	/mupen64plus/mupen64plus-video-rice/releases/download/[^/]+/mupen64plus-video-rice-src-(.*\d).tar.gz
