=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.4.0
+Standards-Version: 4.3.0
 Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-rice.git -b master
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-rice.git
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-video-rice
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 12),
  dpkg-dev (>= 1.16.1.1),
  libgl1-mesa-dev [any-i386 any-amd64] | libgl-dev [any-i386 any-amd64],
  libgles2-mesa-dev [armhf],
