=== debian/changelog ===
mupen64plus-video-rice (2.5.9+30+g97e0acf-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:39 +1100

mupen64plus-video-rice (2.5.9+30+g97e0acf-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:24:42 +0000

mupen64plus-video-rice (2.5.9+30+g97e0acf-2) unstable; urgency=medium

  * debian/rules:
    - disallow compiler to drop code related to signed integer overflows during
      optimization
  * debian/control:
    - Upgraded to policy 4.6.2, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Dec 2022 18:57:11 +0100

mupen64plus-video-rice (2.5.9+30+g97e0acf-1) unstable; urgency=medium

  * New Upstream Snapshot from 97e0acff02e62dee7006337a2eb6e3ef5299d096
  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Tue, 15 Nov 2022 14:27:20 +0100

mupen64plus-video-rice (2.5-7) unstable; urgency=medium

  * debian/control:
    - Upgraded to policy 4.6.1, no changes required
    - Allow build without (fake)root
    - Switch default Vcs-Git branch to debian/unstable
    - Switch to debhelper compat 13
    - Remove versioned constraints unnecessary since buster
    - Use secure URI in Homepage field
    - Replace Build-Depends libgl1-mesa-dev with libgl-dev
  * debian/copyright
    - Update copyright years to 2022
  * Drop duplicated fields from upstream/metadata
  * Update debian/watch for format 4
  * Remove constraints unnecessary since buster (oldstable):
    + mupen64plus-video-rice: Drop versioned constraint on libmupen64plus2 in
      Breaks.
  * Drop unused lintian override for spelling-error-in-binary

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Nov 2022 19:05:49 +0100
