=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: mupen64plus-video-rice
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://mupen64plus.org/
 Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-video-rice.git -b debian/unstable
@@ -18,7 +17,7 @@
  libmupen64plus-dev,
  libpng-dev,
  libsdl2-dev,
- pkg-config,
+ pkgconf,
 
 Package: mupen64plus-video-rice
 Architecture: any-amd64 any-i386
