=== debian/watch ===
version=4

opts="searchmode=plain,pgpsigurlmangle=s%$%.asc%" \
    https://api.github.com/repos/mupen64plus/@PACKAGE@/releases?per_page=100 \
    https://github.com/mupen64plus/@PACKAGE@/releases/download/[^/]+/@PACKAGE@-src-@ANY_VERSION@@ARCHIVE_EXT@
